<?php
/**
 * 金戈企业建站系统：相关功能的函数定义文件
 *
 *
 * @name 
 * @author 烟鬼 QQ:460874 Email:460874@qq.com
 * @version 0.1  $id  data.php
 * @copyright Copyright (c) 2007 - 2008 烟鬼
 */

/**
* 验证管理员的登陆信息是否正确的方法
*/
	function root_login($root_name,$root_pass)
	{
		$conn = db_connect(); //连接数据库
		$result = $conn->query("SELECT * FROM root
								where root_name = '$root_name'
								and root_pass= sha1('$root_pass')");
		if(!$result)
			throw new Exception(ROPE); //使用常量在常量包中已经定义，并在config.php中已经引如常量包.
		if($result->num_rows>0)
			return true;
		else 
			throw new Exception(RONO); //使用常量在常量包中已经定义，并在config.php中已经引如常量包.
	}
	
	/**
	 * 取出一个表中的所有内容.需要1个参数:表的名字
	 */
	function root_all($tab)
	{
		if ($tab == 'root') 
		{
		     return false;
		}
		$tab = my_yz($tab);
		$conn = db_connect(); //连接数据库
		$result=$conn->query("set names 'gb2312'");  //取出为中文 gb2312编码形式，否则会是??号
		$result = $conn->query('SELECT * FROM '.$tab);
		if(!$result || $result->num_rows <= 0)
			return false;
		else 
		     return $result;
	}
	
	
	/**
	 * 根据条件取出数据库内容的方法。需要三个参数，第一个是表的名字。第二个是字段的名字。第三个是条件
	 */
	function root_alli($tab,$zn,$in)
	{
		if ($tab == 'root') 
		{
		     return false;
		}
		$tab = my_yz($tab);
		$in = my_yz($in);  //验证变量函数在 myfun.php内定义，请参阅
		$zn = my_yz($zn);
		$conn = db_connect(); //连接数据库
		$result=$conn->query("set names 'gb2312'");  //取出为中文 gb2312编码形式，否则会是??号
		$result = $conn->query('SELECT * FROM '.$tab.' where '.$zn.'  = '.$in);
		if(!$result || $result->num_rows <= 0)
			return false;
		else 
		     return $result;
	}
	
	/**
	 * 取回首页推荐的产品。
	 */
	function root_allmit()
	{
		$conn = db_connect(); //连接数据库
		$result=$conn->query("set names 'gb2312'");  //取出为中文 gb2312编码形式，否则会是??号
		$result = $conn->query('SELECT * FROM cp_cp where cp_kz=1 limit 0,3');
		$num_results = $result->num_rows;
		if ($num_results <= 0) 
		{
		     return false;
		}
		$row = setarray($result);
		return $row;
	}

?>
























